﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace wpf_ChartView_642013
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            this.DataContext = new VM
            {
                Items = new List<PlotInfo> 
                {
                    new PlotInfo { X = "x1", Min = 1, Max = 2, },
                    new PlotInfo { X = "x2", Min = 2, Max = 8, },
                    new PlotInfo { X = "x3", Min = 5, Max = 9, },
                    new PlotInfo { X = "x4", Min = 1, Max = 2, },
                    new PlotInfo { X = "x5", Min = 2, Max = 8, },
                    new PlotInfo { X = "x6", Min = 5, Max = 9, },
                },
                Items2 = new List<PlotInfo> 
                {
                    new PlotInfo { X = "x1", Min = 2, Max = 3, },
                    new PlotInfo { X = "x2", Min = 4, Max = 8, },
                    new PlotInfo { X = "x3", Min = 6, Max = 10, },
                    new PlotInfo { X = "x4", Min = 4, Max = 8, },
                    new PlotInfo { X = "x5", Min = 3, Max = 6, },
                    new PlotInfo { X = "x6", Min = 2, Max = 5, },
                },
            };
        }
    }

    public class VM
    {
        public List<PlotInfo> Items { get; set; }
        public List<PlotInfo> Items2 { get; set; }
    }

    public class PlotInfo
    {
        public string X { get; set; }
        public double Min { get; set; }
        public double Max { get; set; }
    }
}
